<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>DPathParserTokenManager</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathParserTokenManager";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathParserTokenManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" target="_top">Frames</a></li>
<li><a href="DPathParserTokenManager.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class DPathParserTokenManager" class="title">Class DPathParserTokenManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.DPathParserTokenManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">DPathParserTokenManager</span>
extends java.lang.Object
implements <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></pre>
<div class="block">Token Manager.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected char</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#curChar">curChar</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#curLexState">curLexState</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.io.PrintStream</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#debugStream">debugStream</a></strong></code>
<div class="block">Debug output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#defaultLexState">defaultLexState</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#input_stream">input_stream</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static long[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjbitVec0">jjbitVec0</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjmatchedKind">jjmatchedKind</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjmatchedPos">jjmatchedPos</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjnewStateCnt">jjnewStateCnt</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static int[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjnextStates">jjnextStates</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjround">jjround</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjrounds">jjrounds</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjstateSet">jjstateSet</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjstrLiteralImages">jjstrLiteralImages</a></strong></code>
<div class="block">Token literal values.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static long[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjtoSkip">jjtoSkip</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static long[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjtoToken">jjtoToken</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#lexStateNames">lexStateNames</a></strong></code>
<div class="block">Lexer state names.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.dpp.DPathParserConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;fr.inria.alpage.frmgcm.dpp.<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DECIMAL_LITERAL">DECIMAL_LITERAL</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DEFAULT">DEFAULT</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DIGIT">DIGIT</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_COORD">DPATH_COORD</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_FILTER_TYPE">DPATH_FILTER_TYPE</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_MACRO_PREFIX">DPATH_MACRO_PREFIX</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_NAV_AXIS">DPATH_NAV_AXIS</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_SET">DPATH_SET</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#EOF">EOF</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#IDENTIFIER">IDENTIFIER</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#LETTER">LETTER</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#STRING_LITERAL">STRING_LITERAL</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#tokenImage">tokenImage</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#DPathParserTokenManager(fr.inria.alpage.frmgcm.dpp.SimpleCharStream)">DPathParserTokenManager</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#DPathParserTokenManager(fr.inria.alpage.frmgcm.dpp.SimpleCharStream,%20int)">DPathParserTokenManager</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream,
                       int&nbsp;lexState)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#getNextToken()">getNextToken</a></strong>()</code>
<div class="block">Get the next Token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjAddStates(int,%20int)">jjAddStates</a></strong>(int&nbsp;start,
           int&nbsp;end)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjCheckNAdd(int)">jjCheckNAdd</a></strong>(int&nbsp;state)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjCheckNAddStates(int,%20int)">jjCheckNAddStates</a></strong>(int&nbsp;start,
                 int&nbsp;end)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjCheckNAddTwoStates(int,%20int)">jjCheckNAddTwoStates</a></strong>(int&nbsp;state1,
                    int&nbsp;state2)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjFillToken()">jjFillToken</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjMoveNfa_0(int,%20int)">jjMoveNfa_0</a></strong>(int&nbsp;startState,
           int&nbsp;curPos)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjMoveStringLiteralDfa0_0()">jjMoveStringLiteralDfa0_0</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjStartNfa_0(int,%20long)">jjStartNfa_0</a></strong>(int&nbsp;pos,
            long&nbsp;active0)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjStopAtPos(int,%20int)">jjStopAtPos</a></strong>(int&nbsp;pos,
           int&nbsp;kind)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#jjStopStringLiteralDfa_0(int,%20long)">jjStopStringLiteralDfa_0</a></strong>(int&nbsp;pos,
                        long&nbsp;active0)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#ReInit(fr.inria.alpage.frmgcm.dpp.SimpleCharStream)">ReInit</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream)</code>
<div class="block">Reinitialise parser.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#ReInit(fr.inria.alpage.frmgcm.dpp.SimpleCharStream,%20int)">ReInit</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream,
      int&nbsp;lexState)</code>
<div class="block">Reinitialise parser.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#ReInitRounds()">ReInitRounds</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#setDebugStream(java.io.PrintStream)">setDebugStream</a></strong>(java.io.PrintStream&nbsp;ds)</code>
<div class="block">Set debug output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#SwitchTo(int)">SwitchTo</a></strong>(int&nbsp;lexState)</code>
<div class="block">Switch to specified lex state.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="debugStream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugStream</h4>
<pre>public&nbsp;java.io.PrintStream debugStream</pre>
<div class="block">Debug output.</div>
</li>
</ul>
<a name="jjbitVec0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjbitVec0</h4>
<pre>static final&nbsp;long[] jjbitVec0</pre>
</li>
</ul>
<a name="jjnextStates">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjnextStates</h4>
<pre>static final&nbsp;int[] jjnextStates</pre>
</li>
</ul>
<a name="jjstrLiteralImages">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjstrLiteralImages</h4>
<pre>public static final&nbsp;java.lang.String[] jjstrLiteralImages</pre>
<div class="block">Token literal values.</div>
</li>
</ul>
<a name="curLexState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>curLexState</h4>
<pre>int curLexState</pre>
</li>
</ul>
<a name="defaultLexState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultLexState</h4>
<pre>int defaultLexState</pre>
</li>
</ul>
<a name="jjnewStateCnt">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjnewStateCnt</h4>
<pre>int jjnewStateCnt</pre>
</li>
</ul>
<a name="jjround">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjround</h4>
<pre>int jjround</pre>
</li>
</ul>
<a name="jjmatchedPos">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjmatchedPos</h4>
<pre>int jjmatchedPos</pre>
</li>
</ul>
<a name="jjmatchedKind">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjmatchedKind</h4>
<pre>int jjmatchedKind</pre>
</li>
</ul>
<a name="lexStateNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lexStateNames</h4>
<pre>public static final&nbsp;java.lang.String[] lexStateNames</pre>
<div class="block">Lexer state names.</div>
</li>
</ul>
<a name="jjtoToken">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtoToken</h4>
<pre>static final&nbsp;long[] jjtoToken</pre>
</li>
</ul>
<a name="jjtoSkip">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtoSkip</h4>
<pre>static final&nbsp;long[] jjtoSkip</pre>
</li>
</ul>
<a name="input_stream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>input_stream</h4>
<pre>protected&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a> input_stream</pre>
</li>
</ul>
<a name="jjrounds">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjrounds</h4>
<pre>private final&nbsp;int[] jjrounds</pre>
</li>
</ul>
<a name="jjstateSet">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjstateSet</h4>
<pre>private final&nbsp;int[] jjstateSet</pre>
</li>
</ul>
<a name="curChar">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>curChar</h4>
<pre>protected&nbsp;char curChar</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathParserTokenManager(fr.inria.alpage.frmgcm.dpp.SimpleCharStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPathParserTokenManager</h4>
<pre>public&nbsp;DPathParserTokenManager(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="DPathParserTokenManager(fr.inria.alpage.frmgcm.dpp.SimpleCharStream, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathParserTokenManager</h4>
<pre>public&nbsp;DPathParserTokenManager(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream,
                       int&nbsp;lexState)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setDebugStream(java.io.PrintStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDebugStream</h4>
<pre>public&nbsp;void&nbsp;setDebugStream(java.io.PrintStream&nbsp;ds)</pre>
<div class="block">Set debug output.</div>
</li>
</ul>
<a name="jjStopStringLiteralDfa_0(int, long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjStopStringLiteralDfa_0</h4>
<pre>private final&nbsp;int&nbsp;jjStopStringLiteralDfa_0(int&nbsp;pos,
                           long&nbsp;active0)</pre>
</li>
</ul>
<a name="jjStartNfa_0(int, long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjStartNfa_0</h4>
<pre>private final&nbsp;int&nbsp;jjStartNfa_0(int&nbsp;pos,
               long&nbsp;active0)</pre>
</li>
</ul>
<a name="jjStopAtPos(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjStopAtPos</h4>
<pre>private&nbsp;int&nbsp;jjStopAtPos(int&nbsp;pos,
              int&nbsp;kind)</pre>
</li>
</ul>
<a name="jjMoveStringLiteralDfa0_0()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjMoveStringLiteralDfa0_0</h4>
<pre>private&nbsp;int&nbsp;jjMoveStringLiteralDfa0_0()</pre>
</li>
</ul>
<a name="jjMoveNfa_0(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjMoveNfa_0</h4>
<pre>private&nbsp;int&nbsp;jjMoveNfa_0(int&nbsp;startState,
              int&nbsp;curPos)</pre>
</li>
</ul>
<a name="jjFillToken()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjFillToken</h4>
<pre>protected&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;jjFillToken()</pre>
</li>
</ul>
<a name="getNextToken()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextToken</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;getNextToken()</pre>
<div class="block">Get the next Token.</div>
</li>
</ul>
<a name="jjCheckNAdd(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjCheckNAdd</h4>
<pre>private&nbsp;void&nbsp;jjCheckNAdd(int&nbsp;state)</pre>
</li>
</ul>
<a name="jjAddStates(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjAddStates</h4>
<pre>private&nbsp;void&nbsp;jjAddStates(int&nbsp;start,
               int&nbsp;end)</pre>
</li>
</ul>
<a name="jjCheckNAddTwoStates(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjCheckNAddTwoStates</h4>
<pre>private&nbsp;void&nbsp;jjCheckNAddTwoStates(int&nbsp;state1,
                        int&nbsp;state2)</pre>
</li>
</ul>
<a name="jjCheckNAddStates(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjCheckNAddStates</h4>
<pre>private&nbsp;void&nbsp;jjCheckNAddStates(int&nbsp;start,
                     int&nbsp;end)</pre>
</li>
</ul>
<a name="ReInit(fr.inria.alpage.frmgcm.dpp.SimpleCharStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream)</pre>
<div class="block">Reinitialise parser.</div>
</li>
</ul>
<a name="ReInitRounds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInitRounds</h4>
<pre>private&nbsp;void&nbsp;ReInitRounds()</pre>
</li>
</ul>
<a name="ReInit(fr.inria.alpage.frmgcm.dpp.SimpleCharStream, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a>&nbsp;stream,
          int&nbsp;lexState)</pre>
<div class="block">Reinitialise parser.</div>
</li>
</ul>
<a name="SwitchTo(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SwitchTo</h4>
<pre>public&nbsp;void&nbsp;SwitchTo(int&nbsp;lexState)</pre>
<div class="block">Switch to specified lex state.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathParserTokenManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" target="_top">Frames</a></li>
<li><a href="DPathParserTokenManager.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
